# Generated from data_error_library-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name data_error_library

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: A DataError exception class library
License: MIT
URL: https://www.diligentsoftware.org
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.6.5
# BuildRequires: rubygem(simplecov) >= 0.17.1
# BuildRequires: rubygem(simplecov) < 0.18
BuildArch: noarch

%description
A DataError exception class library. The
DataError exception class is a data type-specific exception class. The
default acceptable data types are Numeric, FalseClass, String, Symbol, Time,
TrueClass, and NilClass.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.idea
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/code_of_conduct.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/data_error_library.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.1-1
- Initial package
